Can't install OpenVPN on ubuntu 16.10 (yakkety) - no release file

All comments and questions related to the functionality of the OpenVPN web pages and forum should go here.
Locked
petero
OpenVpn Newbie
Posts: 1
Joined: Tue Mar 14, 2017 7:10 am

Can't install OpenVPN on ubuntu 16.10 (yakkety) - no release file

Post by petero » Tue Mar 14, 2017 7:36 am

Hello, trying to install openvpn v2.4.0 on ubuntu 16.10 (yakkety) using these instructions:
https://community.openvpn.net/openvpn/w ... twareRepos
using <version> = stable, <osrelease> = yakkety
getting an error "The repository 'http://build.openvpn.net/debian/openvpn/stable yakkety Release' does not have a Release file."

Looks like there is no build has been generated for yakkety
https://build.openvpn.net/debian/openvpn/stable/

help please

samuli
OpenVPN Technologies
Posts: 105
Joined: Fri Aug 13, 2010 9:05 pm

Re: Can't install OpenVPN on ubuntu 16.10 (yakkety) - no release file

Post by samuli » Thu Mar 16, 2017 1:26 pm

We only (officially) support Ubuntu LTS releases (e.g. 12.04 and 14.04). We also don't have plans on supporting the non-LTS versions right now. We do have plans to start providing Git snapshot builds, and in that context having support for latest operating systems would make sense.

The package in our Ubuntu Xenial (16.04) repository does work on Ubuntu 16.10, but it will have to be forcibly installed (e.g. "dpkg --force-all -i <package>") because the "initscripts" package which the Xenial package depends on is no longer present in Ubuntu 16.10.

Alternatively you can just build OpenVPN from sources:

Code: Select all

$ sudo apt-get remove openvpn
$ sudo apt-get build-dep openvpn
$ wget https://swupdate.openvpn.org/community/releases/openvpn-2.4.0.tar.gz
$ tar -zxf openvpn-2.4.0.tar.gz
$ cd openvpn-2.4.0
$ ./configure
$ make
$ sudo make install
--
Samuli Seppänen
Community Manager
OpenVPN Technologies, Inc

irc freenode net: mattock

Locked